> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List contact methods for a client



## OpenAPI

````yaml /openapi/contact-methods.json get /clients/{clientId}/contact-methods
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /clients/{clientId}/contact-methods:
    get:
      tags:
        - Contact Methods
      summary: List contact methods for a client
      operationId: contactMethods.listByClient
      parameters:
        - name: clientId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: cursor
          in: query
          schema:
            type: string
          allowEmptyValue: true
          allowReserved: true
        - name: limit
          in: query
          schema:
            type: number
            minimum: 1
            maximum: 200
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        clientId:
                          type: string
                          format: uuid
                          description: Client ID
                        type:
                          enum:
                            - email
                            - phone
                            - mobile
                            - fax
                            - other
                          type: string
                          description: Type
                        isPrimary:
                          type: boolean
                          default: false
                          description: Is Primary
                        value:
                          type: string
                          minLength: 1
                          description: Value
                        label:
                          type: string
                          description: Label
                        isVerified:
                          type: boolean
                        verifiedAt:
                          anyOf:
                            - type: string
                              format: date-time
                            - type: 'null'
                        externalId:
                          type: string
                          description: External ID
                        metadata:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                          description: Metadata
                        id:
                          type: string
                          format: uuid
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - clientId
                        - type
                        - value
                        - isVerified
                        - verifiedAt
                        - id
                        - createdAt
                        - updatedAt
                  pagination:
                    type: object
                    properties:
                      hasMore:
                        type: boolean
                      nextCursor:
                        type: string
                      totalCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - hasMore
                required:
                  - data
                  - pagination
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````